<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:define name="body">
		<h1>#{messages['net.ihe.gazelle.cdagen.CDADocument']}</h1>
		<h:form id="globalForm">
		
			#{sampleManager.initCDADoc()}
			
			<h:outputText rendered="#{sampleManager.selectedCDADocument == null}"
				value="#{messages['net.ihe.gazelle.cdagen.TheIdOfTheCDADocuementIsNotWellDefined']}" />

			<gri:panel rendered="#{sampleManager.selectedCDADocument != null}">
				<f:facet name="header">#{messages['net.ihe.gazelle.cdagen.CDADocument']}</f:facet>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.cdagen.Name_3']}</ui:define>
					<h:outputText value="#{sampleManager.selectedCDADocument.path}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml"
					rendered="#{sampleManager.selectedCDADocument.author != null}">
					<ui:define name="label">#{messages['net.ihe.gazelle.cdagen.Author_2']}</ui:define>
					<h:outputText value="#{sampleManager.getUserName(sampleManager.selectedCDADocument.author)}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.cdagen.CreationDate']}</ui:define>
					<h:outputText
						value="#{sampleManager.selectedCDADocument.creationDate}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.cdagen.PermanentLink']}</ui:define>
					<h:outputLink
						value="#{sampleManager.permanentLink(sampleManager.selectedCDADocument)}"
						target="_blank">
						<h:outputText
							value="#{sampleManager.permanentLink(sampleManager.selectedCDADocument)}" />
					</h:outputLink>
				</s:decorate>
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.Content']}" style="font-weight : bold;" />
				<br />
				<gdk:insert
					content="#{sampleManager.selectedCDADocument.getContent()}"
					highlight="xml" />
				<br />
			</gri:panel>
		</h:form>
	</ui:define>
</ui:composition>
